# $Revision: 1.3.2.1 $, $Date: 2003/03/13 00:58:04 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Fleximal
Summary:	Math::Fleximal - Integers with flexible representations
Summary(pl):	Math::Fleximal - liczby cakowite z elastyczn reprezentacj
Name:		perl-Math-Fleximal
Version:	0.03
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a package for doing integer arithmetic while using a different
base representation than normal. In base n arithmetic you have n
symbols which have a representation. Author was going to call them
"glyphs", but being text strings they are not really. On Tye McQueen's
whimsical suggestion the author settled on the name Math::Fleximal,
the set of text representations is called a "flex", and the
representation of individual digits are the "flecks". These names are
somewhat unofficial... This allows you to do basic arithmetic using
whatever digits you want, and to convert from one to another. Like
Math::BigInt it is able to handle very large numbers, though
performance is not very good.

%description -l pl
Ten pakiet suy do arytmetyki na liczbach cakowitych przy uyciu
innej ni normalna reprezentacji. W arytmetyce o podstawie n jest n
symboli majcych reprezentacj. Autor zamierza nazwa je "glifami",
ale jako e s to acuchy tekstowe, nie bya to najlepsza nazwa.
Po dziwnej sugestii Tye McQueena modu zosta nazwany Math::Fleximal,
zbir tekstowych reprezentacji "fleksem", a reprezentacje pojedynczych
cyfr "flekami". Te nazwy nie s oficjalne... Modu pozwala na
wykonywanie podstawowych dziaa arytmetycznych przy uyciu dowolnych
cyfr i przeliczanie ich midzy rnymi reprezentacjami. Podobnie do
Math::BigInt modu moe liczy na bardzo duych liczbach, ale
wydajno nie jest najlepsza.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Math/Fleximal.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Math-Fleximal.spec,v $
Revision 1.3.2.1  2003/03/13 00:58:04  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:40:17  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:37  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/07 15:04:55  qboosh
- new

